<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HW JS #3 - functions</title>
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
    <div class="container">
        <h1 class="page-title">HW JS #3 - functions</h1>
        <div class="task-block">
            <p class="question"><span class="quoted">Вопрос:</span> Описать своими словами для чего вообще нужны функции в программировании</p>
            <p class="answer">Функция - это инструкция для выполнения какого-либо действия. Она может производить манилупляции внутри или возвращать некий результат. А так же позволяет переиспользовать код для произведения повторяющихся действий. Правило DRY.</p>
        </div>
        <div class="task-block">
            <p class="question"><span class="quoted">Вопрос:</span> Описать своими словами, зачем в функцию передавать аргумент</p>
            <p class="answer">Передавая в функцию параметры, мы ограничиваем область видимости пемеременных, с которыми работаем внутри. Это позволяет нам унифицировать некие навзания переменных, например i для циклов.
                Кроме этого, мы можем передавать однотипные данные по некому шаблону функции. И передача в параметры функции функций в виде
                аргумента тоже спасает, когда нужно переиспользовать, к примеру, запрос на сервер, а в конце производить над ним определенные действия.
            </p>
        </div>
        <div class="task-block">
            <p class="question"><span class="quoted">Задача:</span> Реализовать функцию, которая будет производить математические операции с введеными пользователем числами. Задача должна быть реализована на языке javascript, без использования фреймворков и сторонник библиотек (типа Jquery).</p>
            <p class="additional">* - округление не производится</p>
            <p class="answer btn-wrapper">
                <button class="btn btn-red" onclick="startCalculator()">Запустить</button>
            </p>
            <p class="result">Тута результат</p>
        </div>
    </div>
    
    <script src="js/task1.js"></script>
</body>
</html>